curl --request GET \
--url https://{host}/timmi-project/api/v4/clients \
--header 'Authorization: <authorization>'{
"items": [
{
"name": "<string>",
"code": "<string>",
"id": 123,
"externalCode": "<string>",
"owner": {
"id": 2,
"firstName": "<string>",
"lastName": "<string>",
"dtContractEnd": "<string>",
"picture": {
"href": "<string>"
},
"establishmentId": 2
}
}
],
"next": "<string>",
"prev": "<string>",
"count": 1
}List clients from an organization.
curl --request GET \
--url https://{host}/timmi-project/api/v4/clients \
--header 'Authorization: <authorization>'{
"items": [
{
"name": "<string>",
"code": "<string>",
"id": 123,
"externalCode": "<string>",
"owner": {
"id": 2,
"firstName": "<string>",
"lastName": "<string>",
"dtContractEnd": "<string>",
"picture": {
"href": "<string>"
},
"establishmentId": 2
}
}
],
"next": "<string>",
"prev": "<string>",
"count": 1
}Search Query Parameter
GET /api/v4/clients?organizationId=1&search=goo,compa&fields.root=count HTP/1.1
{
"count": 2,
"items": [
{
"id": 1,
"name": "Google",
"code": "World company"
},
{
"id": 1,
"name": "Google company",
"code": "Alphabet Group"
]
}
API key. Value must be formatted like so: lucca application={api_key}.
Filter on a single organization unique identifier.
Page number
x >= 1Page size
Return total items count (across all pages).
count Comma-separated list of codes / names to search for
Only returns clients whose code is strictly equal to sent value
Was this page helpful?